#ifndef __BoundingBox_H__
#define __BoundingBox_H__

#include "Ogre.h"
#include "OgreLogManager.h"
#include <iostream>

using namespace std;

class BoundingBox
{

protected:
	int minX, maxX, minY, maxY, minZ, maxZ;

public:
    /// Standard constructor
	BoundingBox(){
	
	}

	BoundingBox(int x, int y, int z) {
		minX = x;
		maxX = x;
		minY = y;
		maxY = y;
		maxZ = z;
		minZ = z;
	}

	BoundingBox(int x1, int x2, int y1, int y2, int z1, int z2) {
		minX = x1;
		maxX = x2;
		minY = y1;
		maxY = y2;
		minZ = z1;
		maxZ = z2;
	}

	//Getters
	int getMinX() {
		return minX;
	}

	int getMaxX() {
		return maxX;
	}

	int getMinY() {
		return minY;
	}

	int getMaxY() {
		return maxY;
	}

	int getMinZ() {
		return minZ;
	}
	
	int getMaxZ() {
		return maxZ;
	}

	//Setters
	void setMinX(int x) {
		minX = x;
	}

	void setMaxX(int x) {
		maxX = x;
	}

	void setMinY(int y) {
		minY = y;
	}

	void setMaxY(int y) {
		maxY = y;
	}

	void setMinZ(int z) {
		minZ = z;
	}
	
	void setMaxZ(int z) {
		maxZ = z;
	}
	
};


#endif
